Package: grails.web.mapping

## [Groovy] Class LinkGeneratorFactory

- grails.web.mapping.LinkGeneratorFactory

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class LinkGeneratorFactory
      extends java.lang.Object

  Helper class for creating a LinkGenerator. Useful for testing

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `baseURL`
    `java.lang.String` | `contextPath`
    `UrlConverter` | `urlConverter`
    `UrlMappingsFactory` | `urlMappingsFactory`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `LinkGenerator` | `create(java.lang.Class mappings)`
    `` | `LinkGenerator` | `create(groovy.lang.Closure mappings)`
    `` | `LinkGenerator` | `create(UrlMappings urlMappings)`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String baseURL

    - #### java.lang.String contextPath

    - #### UrlConverter urlConverter

    - #### UrlMappingsFactory urlMappingsFactory

  - ### Method Detail

    - #### LinkGenerator create(java.lang.Class mappings)

    - #### LinkGenerator create(groovy.lang.Closure mappings)

    - #### LinkGenerator create(UrlMappings urlMappings)

    - #### @java.lang.Override void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)